2012-04-26 Carsten Haitzler (The Rasterman)

	* 1.0.0 release

2012-04-27 Daniel Juyung Seo (SeoZ)

	* Genlist : Fixed genlist expandable effect bug when we expand/contract
	  items with many children very quickly.
	* Genlist : Realize move items during tree effect only when the item is
	  not in the queue.

2012-04-30 Jérôme Pinot

	* Add missing files in the tarballs.

2012-05-02  Cedric Bail

	* Do less allocation and reuse much more Evas_Map.

2012-05-02 Carsten Haitzler (The Rasterman)

	* Fix possible problems with other subsystems depending on X11 display
	  being closed (XCloseDisplay not close() on socket fd).

2012-05-02  ChunEon Park (Hermet)

	* Font: actually it doesnt append the font to the hash when font_hash is
	  created inside. Now it is fixed.

2012-05-03  WooHyun Jung

	* Add feature about focus. Focus can be moved in all direction by
	  by elm_widget_focus_go function.

2012-05-04  Leandro Pereira

	* Fix icon not appearing in default Genlist theme.

2012-05-09  Cedric bail

	* Reload theme when it change on disk.

2012-05-11  ShilpaOnkar Singh

	* Added focus key event handling for the colorselector

2012-05-13  Dave Andreoli

	* Fileselector: honor folder_only when using EIO

2012-05-14  Shinwoo Kim

	* menu: remove crash issue when no-parent item is passed to the
	elm_menu_item_separator_add()

2012-05-14  Shinwoo Kim (kimcinoo)

	* popup: Bug Fix: improper usage of textblock

2012-05-15  Dave Andreoli

	* Fileselector: honor folder_only when using EIO

2012-05-16 Carsten Haitzler (The Rasterman)

	* Fix genlist ELM_LIST_LIMIT mode to do what it originally did.
	  Documentation was wrong too and code had a slight bug stopping
	  genlist from contracting to min size.
	* Optimize the case of COMPRESS + homogeneous mode to avoid
	  queue entirely and use existing known item sizes.

2012-05-16  Dave Andreoli

	* Fileselector: Add a wheel spinner that show/spin while EIO is working

2012-05-16  Tom Hacohen (TAsn)

	* Fix fileselector selection done bug and pass the right string.

2012-05-22  Jaehwan Kim

	* Toolbar: Add the more panel feature in toolbar.
	  When it is the ELM_TOOLBAR_SHRINK_EXPAND mode and the max item is set,
	  the items over max number are located in more panel.
	  The APIs are added for this feature.(elm_toolbar_more_item_get, elm_toolbar_items_max_set/get)

2012-05-22  Carsten Haitzler (The Rasterman)

	* Add skeleton for handling remote commands access controls.

2012-05-23  Tae-Hwan Kim (Bluezery)

	* Map: Add elm_map_overlays_get & elm_map_overlay_visible_get functions.

2012-05-24  Michal Pakula vel Rutka

	* Add ability to use cnp helper code on non-elm widget objects by
	  falling back to ecore-evas to get the window id.

2012-05-24  Tae-Hwan Kim (Bluezery)

	* Add "loaded" signal for elm_map.

2012-05-25  Rob Bradford

	* Refactor X11 specific code to use ecore_evas_*_window_get functions
	so that the driver for the Ecore_Evas will be checked.

2012-05-28  Mike Blumenkrantz

	* Fix sizing calc error in list item homogenizing

2012-05-28  Carsten Haitzler (The Rasterman)

	* Made elm_object_focus_set() fall back to evbas_object_focus_set()
	  if the object is not an elm widget.

2012-05-29  Mike Blumenkrantz

        * Prepending items to a genlist no longer causes the selected item to
          scroll out of the viewport
        * Collapsing tree items in genlist now animate properly

2012-05-29  Rob Bradford

	* Move X related window items into their own substruct of
	_Elm_Win_Smart_Data to allow grouping based on engine.

2012-05-29  Rob Bradford

	* Move X related cursor items into their own substruct of Elm_Cursor
	to make supporting cursors on other platforms cleaner.

2012-05-30  Rob Bradford

	* Add support for setting the cursor under Wayland:
	* Introduce a configure option and #define to as per other engines
	* Add always-built API function to allow identification of running
	under Wayland (like for X11)
	* Call into Ecore to set the cursor when the mouse enters the desired
	widget.

2012-05-30  Mike Blumenkrantz

        * Fix even/odd signals for genlist items

2012-05-30  Thiep Ha

       * Entry: Add 3 APIs which are elm_entry_text_style_user_push/pop/peek
       and test functions for these APIs.

2012-05-31  WooHyun Jung

       * child_can_focus should be EINA_FALSE only when all children in the object
         tree are not focusable. Before this fix, it was EINA_FALSE when all sub
         objects were not focusable. (i.e. didn't check whole object tree)

2012-06-01  Mike Blumenkrantz

        * Re-setting the current mirrored mode state no longer causes a full recalc

2012-06-07  Jaehwan Kim

        * Toolbar: Remove the APIs elm_toolbar_items_max_set/get.
	  Instead of them, add the APIs elm_toolbar_standard_priority_set/get.
	  The items which are lower than standard priority are located in more menu or panel.

2012-06-08  Jaehwan Kim

        * Add elm_object_scroll_hold/freeze_get.

2012-06-12  ChunEon Park (Hermet)

        * Fixed Transit wipe effect flickering.

2012-06-12  Carsten Haitzler (The Rasterman)

	* Add elm_win_size_base_set/get, elm_win_size_step_set/get for hinting
        sizing of windows. Useful for terminals.

2012-06-12  Mike Blumenkrantz

        * Map no longer saves its files to directories outside of the user's home directory

2012-06-14  Seunggyun Kim

        * Fix elm_config_font_overlay_apply() to also apply rescaling properly.

2012-06-14  Jaehwan Kim

        * Toolbar : Add the reorder feature when the more panel is shown.
          After the item is long-pressed, it can be moved.

2012-06-14  Michael Bouchaud

	* Add an enum to Elm_Calendar_Mark_Repeat_Type:
	ELM_CALENDAR_LAST_DAY_OF_MONTH

2012-06-15  Michael Bouchaud

	* elm_progressbar: elm_progressbar_format_function_set to add a callback
	function to format the unit string.

2012-06-16  Davide Andreoli

	* elm_map: add elm_map_overlay_del_cb_set to be notify when
	an overlay is deleted.

2012-06-21  Daniel Juyung Seo (SeoZ)

	* Genlist: Fixed a bug with decorate all mode + tree effect. Delete tree
	effect animator and set the effect mode to none when decorate all mode is
	set.

2012-06-23  Daniel Willmann

        * elm_progressbar: Add "changed" signal to be emitted when the value
        is changed.

2012-06-25  Daniel Juyung Seo (SeoZ)

	* Genlist: Fixed tree expand bug. Check item type when an item is requested
	to be expanded/contracted.

2012-06-25  Carsten Haitzler (The Rasterman)

	* add elm_cnp_selection_loss_callback_set() so you know when you
        lose a selection as a client
        * improve robustness of cnp to track target object deletions.

2012-06-26  Shinwoo Kim (kimcinoo)

	* Use Edje to enable accessibility on TEXTBLOCK.

2012-06-27 Daniel Juyung Seo (SeoZ)

	* Genlist: Fixed homogeneous mode bug with ELM_OBJECT_SELECT_MODE_DISPLAY_ONLY item. Now it calculates display only item size correctly.

2012-06-29 Artem Popov

	* Add support for a new toolbar style with icon and text
        aligned in center. "item_centered".

2012-06-30  Shinwoo Kim (kimcinoo)

	* Add elm_config_access_set/get() to allow for a config tool to enable
        to diasbale access mode.
        * Add access highlight infra

2012-06-30  Artem Popov

	* Fix panel theme_hook handling for scaling

2012-07-01  Gustavo Sverzut Barbieri (k-s)

	* Add and use elm_widget_item_widget_get()
	* Fix elm_segment_control to not abuse user's data from item.

2012-07-03  Cedric Bail

	* Initialize Emotion when necessary.

2012-07-03  Minseok Kim

	* Add elm_multibuttonentry_editable_set() and
        elm_multibuttonentry_editable_get()

2012-07-03  Shinwoo Kim (kimcinoo)

	* Add access hook to widget infra.

2012-07-05  Carsten Haitzler (The Rasterman)

	* Fix several FB related issues:
          * Fallback to FB from X11 so it "just works"
          * Config expected x11 and failed to start app if engine not
            explicitly set to non-x11
          * No mouse cursor displayed in fb when needed, so add a
            softcursor mode defaulting to auto.
        * Add elm_win_screen_dpi_get()
        
2012-07-06  Shinwoo Kim (kimcinoo)

	* Add layout access enable/disable api:
          * elm_layout_edje_object_can_access_set/get()

2012-07-07  Carsten Haitzler (The Rasterman)

	* Add slider popup mode (based in idea originally proposed in
          patches from Sumanth Krishna Mannam, but susbequently rejected
          a few times as it didn't measure up to commitable standards).

2012-07-10  Gustavo Lima Chaves

	* Add elm_scroller_page_size_get() and
	  elm_scroller_page_relative_get() for consistency (some scrolling
	  widgets got these gettes before).

2012-07-10  Rob Bradford

	* Expose into private API a function for getting the X window from an
	Ecore_Evas using the backend safe functions.
	* Use this new API to replace a non backend safe call in the copy and
	paste code

2012-07-12  Tae-Hwan Kim (Bluezery)

	* Fix that vertical bounce enable value can be get from elm_config
	when the genlist is added.

2012-07-16  Carsten Haitzler (The Rasterman)

	* Disable html mode pastes from cnp to work around thunderbird.

2012-07-18  Carsten Haitzler (The Rasterman)

	* Fix evil little bug where scrolelrs with scrollbars make
        self-feeding loops expecially with min size hints on scrollers (which
        the change in smart object infra broke too - fixed here).

2012-07-18  Yan Wang

        * Small fix to account for framespace that is used in wayland
        (0 in x11 so shouldnt affect x11).

2012-07-18  Hermet (ChunEon Park)

	* Fix the mapbuf to resize the contents(smart obj) correctly. When smart obj was
	set as the contents the _configure would be called recursively. In this process
	the lastest size could be reverted as the previous one.

2012-07-19  Gustavo Sverzut Barbieri (k-s)

	* Add Elm_Win_Trap and elm_win_trap_set() to allow e17 integration.

2012-07-23  Hermet (ChunEon Park)

	* fixed invalid sd memory access when delete window inlined image

2012-07-24  Hermet (ChunEon Park)

	* fixed scroller to not have the hold flag when mouse up happened.

2012-07-24  Gustavo Sverzut Barbieri (k-s)

	* Add elm_flip_go_to()

2012-07-25  Carsten Haitzler (The Rasterman)

	* Fix elementary quicklaunch to transprot environment over as
        well as args and cwd.

2012-07-27  Shinwoo Kim (kimcinoo)

	* Patch in incomplete access supoprt in popup.

2012-07-30  Cedric Bail

	* Allow freeze/thaw on Elm_Layout and reduce number of object update.
	* Defer Elm_Calendar generation until really needed.

2012-07-31  Shinwoo Kim (kimcinoo)

	* Patch in incomplete access supoprt in ctxpopup and dayselector.

2012-08-02  Cedric Bail

	* Fix elm_image_orient_set/get.

2012-08-06  Cedric Bail

	* Make Elm_Slider update itself asynchronously.

2012-08-09  Cedric Bail

	* Reset main loop after fork in quicklaunch.

2012-08-18  Shinwoo Kim (kimcinoo)

	* Patch in incomplete access in: colorselecto, win, diskselector,
          gengrid, genlist, progressbar, slider, label, entry

2012-08-20   Jihyeon Seol

	* Fix sizing issue in multibutton entry by making all lines
          the same height.

2012-08-20  Shinwoo Kim (kimcinoo)

	* Patch in incomplete access support in datetime.

2012-08-21  Carsten Haitzler (The Rasterman)

	* Spotted an incompleteness. there is a way to set Elm_Win_Trap for
          manual render, but no way to go to an elm win and do this (And
          of course twiddle with the norender state too), so add this in.
          elm_win_norender_push(), elm_win_norender_pop(),
          elm_win_norender_get() and elm_win_render() added.

2012-08-21  Shinwoo Kim (kimcinoo)

	* Patch in incomplete access support in segment control and spinner

2012-08-28  Carsten Haitzler (The Rasterman)

	* Track window states as a total count and be able to self-throttle
          or suspend rendering as a result.

2012-08-30  Carsten Haitzler (The Rasterman)

        1.7.0 release

2012-08-30  Shilpa Onkar Singh

	* Naviframe's item Subtitle_label deleted in item_free.

2012-08-31  WooHyun Jung

	* The state of elm_check is now changed by mouse click event.

2012-09-03  Rajeev Ranjan

        * Fix min/max limit setting to respect field boundaires EXCEPT
          for years which have no boundaries with
          elm_datetime_field_limit_set()

2012-09-03  Bluezery

        * Fix re-order animation when it doesn't end correctly.
        
2012-09-03  Shinwoo Kim (kimcinoo)

        * Fix popup to apply the same style to the notify sub-widget.
        
2012-09-12  Thiep Ha

        * Fix ctxpopup direction if -1 is uses as priority.

2012-09-13  M.V.K. Sumanth

        * Fix diskselector when bounce off and round enabled.

2012-09-14  Shinwoo Kim (kimcinoo)

        * Fix info field set for bubble widget.

2012-09-19 Michael Bouchaud (yoz)

        * fix resizing on naviframe when an item is poped

2012-09-20 Michael Bouchaud (yoz)

         * fix wrong size calc in naviframe when an item have setted
           tittle_visible_set to false.

2012-09-25  Cedric Bail

	* Escape theme filename correctly.

2012-09-28  Shinwoo Kim (kimcinoo)

        * Fix disk selector selection of middle item when obj not at 0.

2012-10-04  Igor Murzov

	* fix copy&paste error in elm_flip.
	* fix possible invalid memory access in elm_access.

2012-10-10  Shinwoo Kim (kimcinoo)

        * Fix diskselector bug on round with appended items with more
        than 4 items.

2012-10-11  WooHyun Jung

	* Fix a bug in elm_panel. Content should be a sub-object of elm_panel.

2012-10-12  Shinwoo Kim (kimcinoo)

        * Fix conform widget to be part of focus chain.

2012-10-13  ChunEon Park (Hermet)

        * Fix the transit to launch the effect directly when elm_transit_go is called.

2012-10-15  Prince Dubey Kumar <prince.dubey@samsung.com>

        * Fix genlist reorder mode item not being resized on genlist resize.

2012-10-17  Jihoon Kim (jihoon)

        * Fix elm_widget_type_check warning in the _on_size_hints_changed of elm_video.

2012-10-19  Tae-Hwan Kim (Bluezery)

        * Fixed wrong_calc_job parameter.

2012-10-19  ChunEon Park (Hermet)

        * Fix elm_transit image animation which last few frames are skipped.

2012-10-20  Cedric Bail

	1.7.1 release

2012-10-25  Michael Bouchaud (yoz)

         * some fix for promote and demote in genlist

2012-10-30  ChunEon Park (Hermet)

        * Fix the transit to accept proxy object.

2012-11-02  ChunEon Park (Hermet)

        * Don't update map uv with image size for proxy object in elm_flip.

2012-11-07  Mikael Sans (xhell)

        * Fix wrong parameter for thumbnail error in elm_icon.

2012-11-12  Michael Bouchaud (yoz)

        * Add missing selected event in elm_index (elm_index_item_selected_set)

2012-11-21  Michael Bouchaud (yoz)

        * update the min size hint on elm_label after a text set

2012-11-22  Michael Bouchaud (yoz)

        * fix elm_flip to show only one face at a time

2012-11-22  ChunEon Park (Hermet)

        * Lets remove contents regardless of the preseve_on_set if naviframe is
        deleted.

2012-11-22  Shilpa Sigh (shilpa.singh@samsung.com)

        * Clear the title contents when naviframe item is deleted.

2012-11-23 Luis Felipe Strano Moraes

        1.7.2 release

2012-11-23  Carsten Haitzler (The Rasterman)

        * Fix build on systems without clearenv() (eg bsd).

2012-11-23  ChunEon Park (Hermet)

        * Free the text parts of the naviframe item when item is deleted.

2012-11-29  ChunEon Park (Hermet)

        * Fix the mapbuf to update it's contents correctly, even if they go
        outside of the buffer

2012-11-30  ChunEon Park (Hermet)

        * Fix the naviframe to resize it's items which are inserted.

2012-11-30  WooHyun Jung

        * Fix layout when content_set or text_set is called with NULL part name.

2012-11-30  ChunEon Park (Hermet)

        * emit the signals for content_set/unset text_set/unset one time!

2012-12-02  Mike Blumenkrantz

        * Fix case where tooltips could go offscreen unnecessarily

2012-12-04  Cedric Bail

	* Fix a possible divide by zero in els_scroller animator.

2012-12-05  Cedric Bail

	* Fix uninitialized data path in elm_flip, elm_gesture_layer,
	elm_interface_scrollable, els_scroller.

2012-12-05  Shilpa Onkar Singh (shilpa.singh@samsung.com)

	* Fix naviframe to not send hide signals even before item doens't created
  	yet.

2012-12-06  Cedric Bail

	* Fix possible segv in elm_quicklaunch infrastructure.
	* Make sure elm_conform always finish with at least one '\0'.
	* Fix forgotten break in elm_map that would have thrown error when the
	action was properly taken in fact.

2012-12-06 ChunEon Park (Hermet)

	* Fix the mapbuf to show the content always. Sometimes mapbuf couldn't show
	the content properly.

2012-12-07  Cedric Bail

	* Safer call to mkstemp in elm_cnp.
	* Simplify test in elm_entry_text_set.

2012-12-06 Daniel Juyung Seo (SeoZ)

	* Fix wheel scroll direction with shift.

2012-12-07  WooHyun Jung

	* Fix focus problem in multibuttonentry. Entry can get focus only when multibuttonentry is focused.

2012-12-07  Luis Felipe Strano Moraes

	* Release 1.7.3

2012-12-08  ChunEon Park (Hermet)

	* Fix the naviframe title_set problem that caused the title visible status reset.

2012-12-10  Cedric Bail

	* Make sure private data is not NULL in elm_interface_scrollable.
	* Correctly handle failure case in _x11_notify_handler_image.
	* Fix missuse of EINA_INLIST_FOREACH in elm_transit.c.

2012-12-12  WooHyun Jung

	* Now, dummy object is always smart member of naviframe.

2012-12-12  Nicolas Aguirre

	* backport r76226 : Elm: Fix Escape namespace to compile on Windows.

2012-12-13  Nicolas Aguirre

	* Fix build on win32

2012-12-17 Vincent Torri

	* Add XML output to doc
	* Add installation rule for doc

2012-12-17  Chueon Park (Hermet)

	* Fix the popup that returned invalid action buttons.

2012-12-17  Chueon Park (Hermet)

	* Makes naviframe safety even if someone deletes the naviframe in transition finished cb.

2012-12-18  Chueon Park (Hermet)

	* Don't Elm_transit image animation use image preloading to avoid image flickering.

2012-12-18  Chueon Park (Hermet)

	* Let image update right now if the image preloading is disabled.

2012-12-21  Stefan Schmidt

	* Fix small memory leak in elm_map error path.

2012-12-21  Jihoon Kim

	* Fix memory leak in _item_tag_remove of elm_entry.

2012-12-21  Luis Felipe Strano Moraes

	* 1.7.4 release

2012-12-28  Mike Blumenkrantz

        * Fix bug where genlist would delete items added during selection callback if a clear was queued

2012-12-29  Mike Blumenkrantz

        * Tooltips now correctly set NETWM tooltip window type

2013-01-03  JaeHyun Jo (jae_hyun@cho@naver.com)

        * Fix the naviframe item part text to be set properly.

2013-01-03  Thiep Ha

        * Fix list separator size bug.

2013-01-04  Luis Felipe Strano Moraes

	* 1.7.5 release

2013-01-06  Jaehyun Cho (jae_hyun_cho@naver.com)

        * Fix omitting signal emission when customized text parts change the text.

2013-01-08  Jaehwan Kim

        * Fix the bug which the callbacks of the sub-object are added even if the sub-object is added the parent object.

2013-01-10  Shinwoo Kim

	* backport r82456: Fix potential problem which would cause resource leak.

2013-01-16  Shilpa Singh <shilpa.singh@samsung.com>, Rajeev Ranjan <rajeev.r@samsung.com>

        * Fix "changed" signal being sent twice in case of toggle style when check is clicked.

2013-01-16  WooHyun Jung

        * elm_plug should call elm_widget_can_focus_set after adding parent class.
        * Now, widget itself is the object which gets mouse_up event for stealing focus from another object. By this change, a widget with scroller interface can change its focus state before mouse_up of hit_rect.

2013-01-16  Jaeun Choi

        * Fix bug where index is not re-filled if autohide disabled

2013-01-17  Bora Hwang (bora1.hwang@samsung.com)

        * when parent of ctxpopup is resized, ctxpopup calls dismissed signal

2013-01-19  WooHyun Jung

        * When string in entry is changed, access to sd should be forbidden after smart_callback_call is called.

2013-01-18  Thiep Ha (thiep.ha@samsung.com)

        * Fix memory leak of the ctxpopup and callback function to be a ctxpoup obj is delivered to.

2013-01-23  WooHyun Jung

        * In _timer_cb of elm_notify, access to sd should be forbidden after smart_callback_call is called.

2013-01-29  Jaehwan Kim

        * Fix the scroll position is calculated by the size of pan object, not the size of scroller.

2013-01-29  ChunEon Park (Hermet)

        * Fix a elm_transit crash issue when user delete all target objects in the effect end callback.

2013-02-07  WooHyun Jung

        * elm_entry_single_line_set should not change cnp_mode when PLAINTEXT mode.

2013-02-17  Cedric Bail

	* Improve support for some 64bits system.

2013-02-17 Mike Blumenkrantz

        * ignore tab key widget focus change if control/alt is pressed
        * prevent blank entry hoversels

2013-02-19 Stefan Schmidt

        * Fix memory leaks.

2013-02-20 Carsten Haitzler (The Rasterman)

        * Fix gl engine vsync option pass-in in elm_win
        * Fix elm_progressbar_pulse() to abort if pulsing not enabled

2013-02-21  Jaehwan Kim

        * Fix scroller acceleration bug. It was accelerated even it's scrolled
        after finishing the previous scroll. This happens with page scroll enabled.

2013-03-02  Brian J. Lovin

        * Fix initial value of the spinner on the first mouse move.

2013-03-11  Tom Hacohen (TAsn)

	* Entry: Fixed a bug with text appending.

2013-03-13  WooHyun Jung

        * List : Focus_next should be executed only when access mode is enabled.

2013-03-13  Tae-Hwan Kim (bluezery)

        * Fix a memory leak in elm_genlist. Return value of elm_genlist_realized_items_get should be freed

2013-03-18  WooHyun Jung

        * Focus highlight should be reconfigured when theme is changed.

2013-03-19  Jaehwan Kim

        * Fix the elm_shutdown bug in _elm_shutdown_config.
        When the elm_shutdown is used after elm_config_all_flush, the segment fault occur.
        It's why it uses ecore_x in _prop_all_update_cb after removing it.

2013-03-27  Mike Blumenkrantz

        * fix ctxpopup geometry when parent is an elm_win

2013-04-04  Rafael Antognolli

        * 1.7.6 release

2013-04-08  Jaehwan Kim

        * Quit the scroll animator if the scroller don't have a bounce and reach a edge.

2013-04-08  Jaehwan Kim

        * Fix the scroller show by a page if the page size is set and the region_bring_in or region_show is called.

2013-04-08  Rafael Antognolli

        * Fix layout_example_02.
        * Fix hoversel_example_01.

2013-04-09  WooHyun Jung

        * When ctxpopup includes elm_list, elm_list should get focus when ctxpopup is shown.

2013-05-11  Rafael Antognolli

        * 1.7.7 release

2013-06-10  Stefan Schmidt

        * Fix potential free'ed memory dereference in naviframe

2013-06-11  Daniel Willmann
        * Make elm_tooltip more robust if not run inside X

2013-06-13  Rafael Antognolli

        * Get the framespace from the theme.

2013-07-13  Daniel Juyung Seo

        * Fix elm_object_item_part_content_set bug with end content in elm_list.

2013-08-02  Eduardo Lima (Etrunko)

        * 1.7.8 release

2013-08-30  Tom Hacohen (TAsn)

	* Clouseau: Added clouseau integration.

2013-09-18  Tom Hacohen (TAsn)

	* Gesture layer: Fix gesture layer with "pointer" events.

2013-09-18  Eduardo Lima (Etrunko)

        * 1.7.9 release

2013-12-05  Eduardo Lima (Etrunko)

        * 1.7.10 release
